%define module_version 0.17
%define module_name Mojolicious-Plugin-JSUrlFor
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Mojo/Base.pm) perl(Mojo/ByteStream.pm) perl(Mojo/Home.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Test/Mojo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: Mojolicious "url_for" helper for javascript
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KO/KOORCHIK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
I like Mojolicious routes. And one feature that I like most is that you can name your routes.
So, you can change your routes without rewriting a single line of dependent code. Of course this works if you
use route names in all of your code. You can use route name everywhere except... javascript.
But with the Mojolicious::Plugin::JSUrlFor manpage you can use route names really everywhere.
This plugin support mounted (see the Mojolicious::Plugin::Mount manpage ) apps too.

the Mojolicious::Plugin::JSUrlFor manpage contains only one helper that adds `url_for' function to your client side javascript.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod
%perl_vendor_privlib/M*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- regenerated from template by package builder

* Mon Feb 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- initial import by package builder

